Package oasis.names.tc.saml._1_0.protocol

# Class Response

java.lang.Object
oasis.names.tc.saml._1_0.protocol.ResponseAbstractType
oasis.names.tc.saml._1_0.protocol.Response

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Response extends ResponseAbstractType implements Serializable

Java class for ResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:1.0:protocol}ResponseAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}Status"/>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Assertion" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Response()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Assertion>`
  `getAssertions()`
  Gets the value of the assertions property.
  `Status`
  `getStatus()`
  Gets the value of the status property.
  `void`
  `setStatus(Status value)`
  Sets the value of the status property.

  ### Methods inherited from class oasis.names.tc.saml._1_0.protocol.ResponseAbstractType

  `getInResponseTo, getIssueInstant, getMajorVersion, getMinorVersion, getRecipient, getResponseID, getSignature, setInResponseTo, setIssueInstant, setMajorVersion, setMinorVersion, setRecipient, setResponseID, setSignature`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Response

    public Response()

- ## Method Details

  - ### getStatus

    public Status getStatus()
    Gets the value of the status property.
    Returns:
      possible object is `Status`

  - ### setStatus

    public void setStatus(Status value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `Status`

  - ### getAssertions

    public List<Assertion> getAssertions()
    Gets the value of the assertions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the assertions property.

    For example, to add a new item, do as follows:

         getAssertions().add(newItem);

    Objects of the following type(s) are allowed in the list `Assertion`

    Returns:
      The value of the assertions property.